Bug 1028430 - error: %preun(nscd-2.17-13.fc19.x86_64) scriptlet failed, exit status 1
error: %preun(nscd-2.17-13.fc19.x86_64) scriptlet failed, exit status 1
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
19
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Carlos O'Donell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-08 07:26 EST by Rui Gouveia
Modified: 2016-11-24 07:05 EST (History)
11 users (show)

See Also:
Fixed In Version: glibc-2.17-20.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-20 21:11:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rui Gouveia 2013-11-08 07:26:00 EST
Description of problem:

In today update I got:

Dependencies Resolved

==============================================================================================================================================================================================================================================
 Package                                                                  Arch                                             Version                                                    Repository                                         Size
==============================================================================================================================================================================================================================================
Updating:
 glibc                                                                    x86_64                                           2.17-19.fc19                                               updates                                           3.6 M
 glibc-common                                                             x86_64                                           2.17-19.fc19                                               updates                                            11 M
 glibc-devel                                                              x86_64                                           2.17-19.fc19                                               updates                                           1.0 M
 glibc-headers                                                            x86_64                                           2.17-19.fc19                                               updates                                           644 k
 libgcrypt                                                                x86_64                                           1.5.3-2.fc19                                               updates                                           256 k
 nscd                                                                     x86_64                                           2.17-19.fc19                                               updates                                           242 k
 powertop                                                                 x86_64                                           2.4-6.fc19                                                 updates                                           191 k
 sane-backends                                                            x86_64                                           1.0.24-4.fc19                                              updates                                           667 k
 sane-backends-doc                                                        noarch                                           1.0.24-4.fc19                                              updates                                           271 k
 sane-backends-drivers-scanners                                           x86_64                                           1.0.24-4.fc19                                              updates                                           2.2 M
 sane-backends-libs                                                       x86_64                                           1.0.24-4.fc19                                              updates                                            93 k

Transaction Summary
==============================================================================================================================================================================================================================================
Upgrade  11 Packages

Total size: 20 M
Downloading packages:
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Updating   : glibc-2.17-19.fc19.x86_64                                                                                                                                                                                                 1/23 
  Updating   : glibc-common-2.17-19.fc19.x86_64                                                                                                                                                                                          2/23 
  Updating   : sane-backends-libs-1.0.24-4.fc19.x86_64                                                                                                                                                                                   3/23 
  Updating   : sane-backends-1.0.24-4.fc19.x86_64                                                                                                                                                                                        4/23 
  Updating   : glibc-headers-2.17-19.fc19.x86_64                                                                                                                                                                                         5/23 
  Updating   : glibc-devel-2.17-19.fc19.x86_64                                                                                                                                                                                           6/23 
  Updating   : sane-backends-drivers-scanners-1.0.24-4.fc19.x86_64                                                                                                                                                                       7/23 
  Updating   : nscd-2.17-19.fc19.x86_64                                                                                                                                                                                                  8/23 
  Updating   : libgcrypt-1.5.3-2.fc19.x86_64                                                                                                                                                                                             9/23 
  Updating   : powertop-2.4-6.fc19.x86_64                                                                                                                                                                                               10/23 
  Updating   : sane-backends-doc-1.0.24-4.fc19.noarch                                                                                                                                                                                   11/23 
  Cleanup    : glibc-devel-2.17-18.fc19.x86_64                                                                                                                                                                                          12/23 
  Cleanup    : glibc-headers-2.17-18.fc19.x86_64                                                                                                                                                                                        13/23 
  Cleanup    : sane-backends-doc-1.0.23-18.fc19.noarch                                                                                                                                                                                  14/23 
  Cleanup    : sane-backends-drivers-scanners-1.0.23-18.fc19.x86_64                                                                                                                                                                     15/23 
  Cleanup    : sane-backends-1.0.23-18.fc19.x86_64                                                                                                                                                                                      16/23 
  Cleanup    : sane-backends-libs-1.0.23-18.fc19.x86_64                                                                                                                                                                                 17/23 
  Cleanup    : powertop-2.4-5.fc19.x86_64                                                                                                                                                                                               18/23 
  Cleanup    : libgcrypt-1.5.3-1.fc19.x86_64                                                                                                                                                                                            19/23 
  Cleanup    : nscd.x86_64                                                                                                                                                                                                              20/23 
/var/tmp/rpm-tmp.tCt4Sc: line 1: fg: no job control
error: %preun(nscd-2.17-13.fc19.x86_64) scriptlet failed, exit status 1
Error in PREUN scriptlet in rpm package nscd
  Cleanup    : glibc-common-2.17-18.fc19.x86_64                                                                                                                                                                                         21/23 
error: nscd-2.17-13.fc19.x86_64: erase failed
  Cleanup    : glibc-2.17-18.fc19.x86_64                                                                                                                                                                                                22/23 
  Verifying  : sane-backends-libs-1.0.24-4.fc19.x86_64                                                                                                                                                                                   1/23 
  Verifying  : sane-backends-doc-1.0.24-4.fc19.noarch                                                                                                                                                                                    2/23 
  Verifying  : glibc-common-2.17-19.fc19.x86_64                                                                                                                                                                                          3/23 
  Verifying  : glibc-devel-2.17-19.fc19.x86_64                                                                                                                                                                                           4/23 
  Verifying  : glibc-2.17-19.fc19.x86_64                                                                                                                                                                                                 5/23 
  Verifying  : nscd-2.17-19.fc19.x86_64                                                                                                                                                                                                  6/23 
  Verifying  : sane-backends-drivers-scanners-1.0.24-4.fc19.x86_64                                                                                                                                                                       7/23 
  Verifying  : libgcrypt-1.5.3-2.fc19.x86_64                                                                                                                                                                                             8/23 
  Verifying  : sane-backends-1.0.24-4.fc19.x86_64                                                                                                                                                                                        9/23 
  Verifying  : glibc-headers-2.17-19.fc19.x86_64                                                                                                                                                                                        10/23 
  Verifying  : powertop-2.4-6.fc19.x86_64                                                                                                                                                                                               11/23 
  Verifying  : powertop-2.4-5.fc19.x86_64                                                                                                                                                                                               12/23 
  Verifying  : glibc-2.17-18.fc19.x86_64                                                                                                                                                                                                13/23 
  Verifying  : sane-backends-drivers-scanners-1.0.23-18.fc19.x86_64                                                                                                                                                                     14/23 
nscd-2.17-13.fc19.x86_64 was supposed to be removed but is not!
  Verifying  : nscd-2.17-13.fc19.x86_64                                                                                                                                                                                                 15/23 
  Verifying  : nscd-2.17-18.fc19.x86_64                                                                                                                                                                                                 16/23 
  Verifying  : glibc-common-2.17-18.fc19.x86_64                                                                                                                                                                                         17/23 
  Verifying  : sane-backends-1.0.23-18.fc19.x86_64                                                                                                                                                                                      18/23 
  Verifying  : glibc-headers-2.17-18.fc19.x86_64                                                                                                                                                                                        19/23 
  Verifying  : libgcrypt-1.5.3-1.fc19.x86_64                                                                                                                                                                                            20/23 
  Verifying  : sane-backends-doc-1.0.23-18.fc19.noarch                                                                                                                                                                                  21/23 
  Verifying  : glibc-devel-2.17-18.fc19.x86_64                                                                                                                                                                                          22/23 
  Verifying  : sane-backends-libs-1.0.23-18.fc19.x86_64                                              


Trying to fix the problem after :


[root@localhost log]# rpm -qa "nscd*"
nscd-2.17-19.fc19.x86_64
nscd-2.17-13.fc19.x86_64
[root@localhost log]# yum remove nscd-2.17-13.fc19.x86_64
Loaded plugins: fs-snapshot, langpacks, refresh-packagekit, remove-with-leaves, show-leaves, verify
Resolving Dependencies
--> Running transaction check
---> Package nscd.x86_64 0:2.17-13.fc19 will be erased
--> Finished Dependency Resolution

Dependencies Resolved

======================================================================================================================
 Package                 Arch                      Version                          Repository                   Size
======================================================================================================================
Removing:
 nscd                    x86_64                    2.17-13.fc19                     @updates                    170 k

Transaction Summary
======================================================================================================================
Remove  1 Package

Installed size: 170 k
Is this ok [y/N]: y
Downloading packages:
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
/var/tmp/rpm-tmp.hnSqMj: line 1: fg: no job control
error: %preun(nscd-2.17-13.fc19.x86_64) scriptlet failed, exit status 1
Error in PREUN scriptlet in rpm package nscd-2.17-13.fc19.x86_64
  Verifying  : nscd-2.17-13.fc19.x86_64                                                                           1/1 

Failed:
  nscd.x86_64 0:2.17-13.fc19                                                                                          

Complete!
[root@localhost log]# rpm -qa "nscd*"
nscd-2.17-19.fc19.x86_64
nscd-2.17-13.fc19.x86_64




Version-Release number of selected component (if applicable):
Fedora 19
nscd-2.17-19.fc19.x86_64
nscd-2.17-13.fc19.x86_64



How reproducible:
Always



Steps to Reproduce:
1. Update the system in a root shell


Actual results:
See above.


Expected results:
Old version should have been removed.


Additional info:
Comment 1 Jakub Hrozek 2013-11-08 07:36:38 EST
nscd is part of glibc, reassigning.
Comment 2 Carlos O'Donell 2013-11-08 15:53:38 EST
I believe this is the same as bug 983760. The packaging guidlines have changed and we need to require systemd not systemd-units.

https://bugzilla.redhat.com/show_bug.cgi?id=983760

Related is bug 999924 which didn't fix all of the oustanding issues with the scripts.

https://bugzilla.redhat.com/show_bug.cgi?id=999924

Next step:
- Apply fix for 983760 to f19.

I applied the fixes and did a scratch build here:
http://koji.fedoraproject.org/koji/taskinfo?taskID=6155583

Are you able to test the new packages and see if they fix your problem?
Comment 3 Carlos O'Donell 2013-11-16 19:43:51 EST
Tested it myself. Appears to work correctly and install without any scriptlet errorts.
Comment 4 Fedora Update System 2013-12-16 12:17:29 EST
glibc-2.17-20.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/glibc-2.17-20.fc19
Comment 5 Fedora Update System 2013-12-17 14:13:31 EST
Package glibc-2.17-20.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing glibc-2.17-20.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-23512/glibc-2.17-20.fc19
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-12-20 21:11:20 EST
glibc-2.17-20.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Rui Gouveia 2014-06-30 05:33:44 EDT
Thanks
Comment 8 Rui Gouveia 2014-09-22 07:30:40 EDT
Thanks again.

(To clear the needinfo flag)

Note You need to log in before you can comment on or make changes to this bug.